Pin button refinements
Closed, ResolvedPublic

Description

The revision slider has a pin button in the top bar which allows users to always see the revision slider expanded (not having to click on "expand" every time they visit the diff page)

Task:

  • Given the situation that the user has not pinned the revision slider yet. If the revision slider is collapsed and the user clicks on the pin icon, the slider should not only be pinned, but also expand with the click
  • Change the tooltip from "Automatically expand revision slider" to "Always expand the revision slider"

Background:
The revision slider is a feature that adds a visualization of all revisions to the compare screen. Revisions are represented as bars on a line and can be selected using two pointers. The revision slider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is also a solution to fulfill a wish of the German Community Wishlist: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff

Lea_WMDE created this task.Sep 8 2016, 12:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2016, 12:25 PM
Lea_WMDE moved this task from Incoming to Revision Slider on the TCB-Team board.Sep 8 2016, 12:50 PM

Change 310297 had a related patch set uploaded (by Tobias Gritschacher):
Expand Revision Slider when user sctivates pin button

https://gerrit.wikimedia.org/r/310297

@Lea_WMDE should the opposite message "Do not expand revision slider automatically" also being changed?

Change 310298 had a related patch set uploaded (by Tobias Gritschacher):
Adjust pin button tooltip

https://gerrit.wikimedia.org/r/310298

I think that one could do with another "anymore", so "Do not automatically expand the revision slider anymore"

Addshore moved this task from Incoming to Doing on the Revision-Slider board.Sep 13 2016, 2:55 PM

Change 310297 merged by jenkins-bot:
Expand Revision Slider when user activates pin button

https://gerrit.wikimedia.org/r/310297

Change 310298 merged by jenkins-bot:
Adjust pin button tooltip

https://gerrit.wikimedia.org/r/310298

Tobi_WMDE_SW moved this task from Doing to Done on the Revision-Slider board.Sep 27 2016, 10:17 AM
Tobi_WMDE_SW closed this task as Resolved.Sep 27 2016, 3:15 PM